<?php
namespace Modules\DemandeAchat\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class ValidationDemandeAchat
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function valider(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxConfirmationValidationV2(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxConfirmValidate(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    // @phpcs:ignore
    public function ajaxAjoutSignataireApresValidation(): bool
    {
        return true;
    }
}
